User login
Qlustar: Install and enjoy!

[QSA-0427211] Linux kernel vulnerabilities

Qlustar Security Advisory 0427211

April 27th, 2021


Summary:

The system could crash or be made to run programs as an administrator.


    Package(s)       : linux-image-ql-generic,
                       qlustar-module-core-bionic-amd64-11.0.1,
                       qlustar-module-core-centos7-amd64-11.0.1,
                       qlustar-module-core-centos8-amd64-11.0.1,
                       qlustar-module-core-focal-amd64-12.0.0,
                       qlustar-module-core-centos7-amd64-12.0.0,
                       qlustar-module-core-centos8-amd64-12.0.0
    Qlustar releases : 11.0, 12.0
    Affected versions: All versions prior to this update
    Vulnerability    : privilege escalation/denial of service
    Problem type     : local
    Qlustar-specific : no
    CVE Id(s)        : Not documented
  

A number of vulnerabilities and bugs have been discovered in the 5.4.x Linux kernel series since the last Qlustar 12.0 release based on 5.4.104. They may lead to a denial of service or privilege escalation. Please check the following web pages that contain details of the fixes in each release after 5.4.104 up to the current Qlustar kernel 5.4.114:

    Linux kernel 5.4.114
    Linux kernel 5.4.113
    Linux kernel 5.4.112
    Linux kernel 5.4.111
    Linux kernel 5.4.110
    Linux kernel 5.4.109
    Linux kernel 5.4.108
    Linux kernel 5.4.107
    Linux kernel 5.4.106
    Linux kernel 5.4.105
   

A number of vulnerabilities and bugs have been discovered in the 4.19.x Linux kernel series since the last Qlustar 11.0 release based on 4.19.179. They may lead to a denial of service or privilege escalation. Please check the following web pages that contain details of the fixes in each release after 4.19.179 up to the current Qlustar kernel 4.19.188:

    Linux kernel 4.19.188
    Linux kernel 4.19.187
    Linux kernel 4.19.186
    Linux kernel 4.19.185
    Linux kernel 4.19.184
    Linux kernel 4.19.183
    Linux kernel 4.19.182
    Linux kernel 4.19.181
    Linux kernel 4.19.180
   

Update instructions:

The problem can be corrected by updating your system to the following or more recent package versions (follow the Qlustar Update Instructions and on Qlustar 11 also perform the manual steps '7. Migration to GRUB PXE booting' and '11. Adjust root bash shell initialization' as described in the Release Notes if you haven't done so yet):

For Qlustar 12.0

    linux-image-ql-generic                     5.4.114-ql-generic-12.0-8
    qlustar-module-core-focal-amd64-12.0.0     12.0.0.3-b536f1363
    qlustar-module-core-centos7-amd64-12.0.0   12.0.0.3-b536f1363
    qlustar-module-core-centos8-amd64-12.0.0   12.0.0.3-b536f1363
  

For Qlustar 11.0

    linux-image-ql-generic                     4.19.188-ql-generic-11.0-23
    qlustar-module-core-bionic-amd64-11.0.1    11.0.1.7-b533f1362
    qlustar-module-core-centos7-amd64-11.0.1   11.0.1.7-b533f1362
    qlustar-module-core-centos8-amd64-11.0.1   11.0.1.7-b533f1362
  
glqxz9283 sfy39587stf02 mnesdcuix8
sfy39587stf03
sfy39587p08